
{% extends "base.html" %}

<!-- Stylesheets pour le lecteur -->
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb" crossorigin="anonymous">
<link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/flick/jquery-ui.css">

<!-- JavaScript pour le lecteur -->
<script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha384-xBuQ/xzmlsLoJpyjoggmTEz8OWUFM0/RC5BsqQBDX2v5cMvDHcMakNTNrHIW2I5f" crossorigin="anonymous"></script>
<script src="js/jquery-ui-slider.js"></script>

<link rel="stylesheet" href="css/audio-player.css">
<script src="js/audioPlayer.js"></script>

{% block main %}
<a href="{{ url_for('edit_album', albumid=album.id) }}">(Editer)</a><a href="{{ url_for('delete_album', albumid=album.id) }}">(Supprimer)</a>
<!-- Lecteur -->
<section class="audio-player card float-right" style="width:300px">
  <div class="card">
    <div class="card-body">
      <h2 class="card-title col text-center">Lecteur</h2>
      <div class="row align-items-center mt-4 mb-3 mx-0">
        <a class="btn btn-xs btn-success mr-3 active"><span class="fa fa-play"></span> </a>
        <a class="btn btn-xs btn-success mr-3 active"><span class="fa fa-pause"></span> </a>
        <a class="btn btn-xs btn-success mr-3 active"><span class="fa fa-fast-forward"></span> </a>
        <div class="col ml-auto rounded-circle border border-success p-1">
          <img id="thumbnail" class="img-fluid rounded-circle" src="{{ url_for('static', filename=album.img) }}" alt="">
        </div>
      </div>
      <div class="p-0 m-0" id="now-playing">
        <p class="font-italic mb-0">Now Playing: </p>
        <p class="lead" id="title"></p>
      </div>
      <div class="progress-bar progress col-12 mb-3">
      </div>
    </div>
  </div>
  <audio id="audio-player" class="d-none" src="" type="audio/mp3" controls="controls"></audio>
</section>

<!-- Données -->
<div class="card border-light mb-3" style="width:300px">
    <div class="card-header">
        <h6 class="card-text">
            Titre : {{ album.title }}
        </h6>
    </div>

    <div class="card-body">
        <a href="{{ album.url }}">
            <img src="{{ url_for('static', filename=album.img) }}"
                 alt="Couverture de {{ album.title }}"
                 title="{{ album.title }}"
                 class="card-img-top img-thumbnail"
            />
        </a>
    </div>
    <div class="card-footer">
        <h6 class="card-text">
            <a href="{{ url_for('artist', artistid=album.artist_id) }}">Auteur : {{ album.artist.name}}</a>
        </h6>
        <h6 class="card-text">
            <a href="{{ url_for('artist', artistid=album.parent_id) }}">Parent : {{ album.parent.name}}</a>
        </h6>
        <h6 class="card-text">
            Année : {{ album.release_year}}
        </h6>


        {% if album.belong|length > 0 %}
        <h6 class="card-text">
        {{ album.belong[0].genre.name }}{% for i in range(1, album.belong|length) %}, {{ album.belong[i].genre.name }}{% endfor %}
        </h6>
        {% endif %}

</div>
</div>

<!-- Likes -->
<div class="container">
    <a class="like">
        <button type="button" class="btn btn-secondary" style="font-size:18px">Like <i class="fa fa-thumbs-up"></i></button>
        <input class="qty1" name="qty1" readonly="readonly" type="text" value="0" />
    </a>
    <a class="dislike">
        <button type="button" class="btn btn-secondary" style="font-size:18px">Dislike <i class="fa fa-thumbs-down"></i></button>
        <input class="qty2"  name="qty2" readonly="readonly" type="text" value="0" />
    </a>
</div>
{% endblock %}
